Package: maven-debian-helper
Version: 1.5
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

I noticed this when working on the Jenkins toolchain to get plugin and module
builds working which use jenkins specific plugins.

Both maven-hpi-plugin and maven-stapler-plugin fail during the
final dependency resolution phase of the package build process resulting in a
partial set of ${maven:Depends}.

You can see this in maven-stapler-plugin 1.16-2:

Analysing pom.xml...
> dpkg --search 
> /usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin
Feb 8, 2012 1:29:41 PM org.debian.maven.packager.DependenciesSolver$ToResolve 
resolve
SEVERE: Cannot resolve dependencies in /«PKGBUILDDIR»/pom.xml: Dependency not 
found org.apache.maven.plugins:maven-compiler-plugin:jar:2.0.2
ERROR:
pom.xml: Dependency is not packaged in the Maven repository for Debian: 
org.apache.maven.plugins:maven-compiler-plugin:2.0.2a

and maven-hpi-plugin 1.79-1:

Analysing pom.xml...
> dpkg --search /usr/share/maven-repo/org/kohsuke/stapler/maven-stapler-plugin
Feb 8, 2012 1:18:44 PM org.debian.maven.packager.DependenciesSolver$ToResolve 
resolve
SEVERE: Cannot resolve dependencies in /«PKGBUILDDIR»/pom.xml: Dependency not 
found org.kohsuke.stapler:maven-stapler-plugin:jar:1.16
ERROR:
pom.xml: Dependency is not packaged in the Maven repository for Debian: 
org.kohsuke.stapler:maven-stapler-plugin:1.16

mdh balks on the first plugin dependency; its definately there as its required 
for the build in both cases!

I'm working around this for the time being by adding the missing ones manually.

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-14-generic (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=locale: Cannot set LC_CTYPE to 
default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages maven-debian-helper depends on:
ii  default-jdk                     1:1.6-46
ii  libmaven-clean-plugin-java      2.3-5
ii  libmaven-compiler-plugin-java   2.0.2-6
ii  libmaven-jar-plugin-java        2.2-6
ii  libmaven-resources-plugin-java  2.3-7
ii  libmaven-site-plugin-java       2.1-2
ii  libplexus-velocity-java         1.1.7-5
ii  libsurefire-java                2.10-2
ii  maven-repo-helper               1.7.1
ii  maven2                          2.2.1-10
ii  velocity                        1.7-1

maven-debian-helper recommends no packages.

Versions of packages maven-debian-helper suggests:
ii  apt-file                      <none>
ii  devscripts                    2.11.3
ii  libmaven-javadoc-plugin-java  <none>
ii  subversion                    1.6.17dfsg-3

- -- debconf-show failed

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPMnvUAAoJEL/srsug59jDkC8QALmI+FfdVI7nxt7xzOFkNKAI
6SAl3cap2w3eAB/qvZYfQ+yTFR7PZ20UFlgXr2riBJetp6Sx0ERkmEePNpASj19W
/SElprHew3pU6zf0g953jSGIw2TTP0V1/EFscKe8aUKEtkGXdSR/OJ3T/UquOxFV
DLoqkbZxxtj2rgTO6d/cnssCIdM1syJlEkyA9H/U05DO5HusERebSNlVPBKLeb1f
ngGUL9JSf6PZpOVq/kRf+C/QUtLk/brFJ5Dc1WzwGpqnjNfEhoj0G0YZBJOW9RvS
zYnkdc3dQvZSZl3T2lD3MxWZs2pOmB26IrDxJLtYBRlyANkJECIW+rxybXZRIDyM
VFkrg6Og4hMrvHNZ2t12qwH738TEAFl1ACAD+KkP7BMczu0fzK/nrEa0N6Rf5rQV
n0VBOMVqdxgPMeVdqIaRLfijryrBbAFUkv3rcxRQxQT6RJkdQdEMYCkzRs8lFn96
oIjBN2z0R+ZOL+rYivkkh+5lDo3kMu8F47LSWaWwwFR5Oxn1IbI6Q4/dFMxPWQva
tr1v/qGVMjxCV5DJyuz0Mz1u0XtVT9EClGek+S+rzRIQ9jAmwv0/5kyJEsHUVdNr
9c9b5pQneeLHkpLaFWXpJ6ecPJylr+604ghXWUmSIubc5I6/BWgRr34MwNohU3TW
9dltjA5xBE0jd0y+3zXf
=+z6y
-----END PGP SIGNATURE-----



__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to